* {
    margin: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

#header{
    text-align: center;
    padding: 0.6em 0 1em 0;
    margin-bottom: 1em;
	background-color: rgb(41, 41, 41);
	color: rgb(255, 255, 255);
}

.container{
    width: 80%;
    margin: auto;
}

/* Grid setup */
.grid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1em;
    grid-auto-rows: minmax(200px, auto);
}

.grid > div{
    background: #eee;
    padding: 0.5em 1em;
    border-radius: 5px;
    border: black 1px solid;
}

/* Small box with balance */
.balance-grid{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

/* Styles for the inner elements of .grid items */
.box-title{
    height: 1.5em;
}

.box-item-key{
    grid-row: 2;
}

.box-item-value{
    grid-column: 2/6;
    grid-row: 2;
    text-align: end;
}

#box-item-key-loan{
    grid-row: 3;
}

#box-item-value-loan{
    grid-column: 2/6;
    grid-row: 3;
    text-align: end;
}

.box-button-one{
    grid-column: 1/5;
    grid-row: 5;
    height: 80%;
    max-height: 40px;
    font-weight: bold;
    font-size: large;
    background-color: coral;
    color: #eee;
    border-radius: 10px;
}

.box-button-one-repay{
    grid-column: 1/5;
    grid-row: 3;
    height: 80%;
    max-height: 40px;
    font-weight: bold;
    font-size: large;
    background-color: darkgreen;
    color: #eee;
    border-radius: 10px;
}

.box-button-two-left{
    grid-column: 1/3;
    grid-row: 5;
    height: 80%;
    max-height: 40px;
    font-weight: bold;
    font-size: large;
    color: #eee;
    background-color: blue;
    border-radius: 10px;
}

.box-button-two-right{
    grid-column: 3/6;
    grid-row: 5;
    height: 80%;
    max-height: 40px;
    font-weight: bold;
    font-size: large;
    background-color: darkgreen;
    color: #eee;
    border-radius: 10px;
}

.box-drop-down-menu{
    position: relative;
    margin: 1em;
}

#select-box{
    width: 100%;
    height: 2em;
}

#laptop-features{
}

/* Buy laptop box */
.box-buy{
    grid-column: 1/4;
    grid-row: 2;
    justify-self: stretch;
    display: flex;
    align-items: center;
}

.box-buy > *{
    flex: 1 1 auto;
}

#laptop-image{
    width: 30%;
    margin: 1em;
}

#description{
    width: 50%;
    margin: 1em;
}

#purchase{
    width: 20%;
    margin: 1em;
    text-align: center;
}

#laptop-description, #laptop-name{
    margin-bottom: 0.5em;
}

#laptop-price{
    margin-bottom: 0.5em;
}

#buy{
    height: 40px;
    width: 100%;
    max-width: 200px;
    font-weight: bold;
    font-size: large;
    color: #eee;
    background-color: darkgreen;
    border-radius: 10px;
}